
-- DROP TABLE tl_client;




CREATE TABLE tl_client (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    client_name varchar2(100) NOT NULL,
    client_logo blob NULL,
    email varchar2(100) NULL,
    contact_name varchar2(100) NULL,
    contact_surname varchar2(100) NULL,
    phone varchar2(30) NULL,
    state varchar2(200) NULL,
    country varchar2(200) NULL,
    post_code varchar2(10) NULL,
    city varchar2(100) NULL,
    time_zone varchar2(200) NULL,
    company_id number(12)  NULL
    );



ALTER TABLE tl_client ADD    
    CONSTRAINT PK_tl_client PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_client_company_id 
    ON tl_client (company_id);
